disk read/write scheduling

Bug #567181 reported by Miroslav Hadzhiev on 2010-04-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Transmission
Fix Released
Unknown
transmission (Ubuntu)
Wishlist
Charles Kerr

Bug Description

Binary package hint: transmission

Transmission is very little and simple application but uses a lot of HDD resources.
It should be developed some kind of RAM side-caching or sth like this, I'm not sure.
For example, Deluge is very efficient with the HDD (and in its settings it can be set such cache).

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: transmission-gtk 1.92-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
Architecture: i386
Date: Tue Apr 20 13:53:07 2010
ExecutablePath: /usr/bin/transmission
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Release Candidate i386 (20100419.1)
ProcEnviron:
 LANG=bg_BG.utf8
 SHELL=/bin/bash
SourcePackage: transmission

Miroslav Hadzhiev (xtigyro) wrote :
Charles Kerr (charlesk) on 2010-04-20
Changed in transmission (Ubuntu):
importance: Undecided → Wishlist
Charles Kerr (charlesk) on 2010-04-20
summary: - [Transmission] (wishlist) the app should use much less HDD resources
+ disk read/write scheduling
Changed in transmission (Ubuntu):
status: New → Triaged
Changed in transmission:
status: Unknown → Confirmed
Changed in transmission:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 2.03-0ubuntu1

---------------
transmission (2.03-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #599126)
  * Fixes bugs:
    - duplicate quit confirmation dialog on closing transmission (LP: #603426)
    - disk read/write scheduling (LP: #567181)
 -- Krzysztof Klimonda <email address hidden> Sat, 24 Jul 2010 23:31:01 +0200

Changed in transmission (Ubuntu):
status: Triaged → Fix Released
Charles Kerr (charlesk) wrote :

This is in the nightly builds, but it's not scheduled to go into a stable release until 2.10.

2.0x are bugfix releases.

Changed in transmission (Ubuntu):
assignee: nobody → charles (charles-rebelbase)
status: Fix Released → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 2.11-0ubuntu1

---------------
transmission (2.11-0ubuntu1) natty; urgency=low

  * new upstream release (LP: #663396)
  * Merged 2.10-2 from Debian experimental, remaining changes:
    - debian/patches/series:
      - keep 0102-lpi.patch and 0103-add_X_Ubuntu_Gettext_Domain.patch
    - debian/rules:
      - enable support for libcanberra-gtk and libgconf
      - create translation templates
      - enable dh_autoreconf support
    - debian/control:
      - build-depend on libcanberra-gtk-dev, libgconf2-dev,
        liblaunchpad-integration-dev, libappindicator-dev,
        dh-autoreconf
      - update maintainer to "Ubuntu Developers"
  * debian/patches/series:
    - 0101-fix_dso_linking.patch: Fix FTBFS created by changes made to the
      natty toolchain.
  * Closes bugs:
    - disk read/write scheduling (LP: #567181)
    - torrent properties window does not fit netbook screen (LP: #634557)
    - transmission measures bandwidth in KB/s instead of kB/s (LP: #538504)
 -- Krzysztof Klimonda <email address hidden> Tue, 19 Oct 2010 20:30:31 +0200

Changed in transmission (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.